Purge Results
curl --request POST \
--url http://127.0.0.1:3333/v3/bots/{botId}/results/purge \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"confirmationText": "<string>",
"acknowledgeResponsibility": true
}
'import requests
url = "http://127.0.0.1:3333/v3/bots/{botId}/results/purge"
payload = {
"confirmationText": "<string>",
"acknowledgeResponsibility": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({confirmationText: '<string>', acknowledgeResponsibility: true})
};
fetch('http://127.0.0.1:3333/v3/bots/{botId}/results/purge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"purgeId": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Jobs & Exports
Purge Results
Permanently delete collected data for a bot.
POST
/
v3
/
bots
/
{botId}
/
results
/
purge
Purge Results
curl --request POST \
--url http://127.0.0.1:3333/v3/bots/{botId}/results/purge \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"confirmationText": "<string>",
"acknowledgeResponsibility": true
}
'import requests
url = "http://127.0.0.1:3333/v3/bots/{botId}/results/purge"
payload = {
"confirmationText": "<string>",
"acknowledgeResponsibility": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({confirmationText: '<string>', acknowledgeResponsibility: true})
};
fetch('http://127.0.0.1:3333/v3/bots/{botId}/results/purge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"purgeId": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Default Response